//
// ONVIFCameraZoom.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ONVIFCameraZoom: Codable {

    public var defaultSpeedValue: Decimal?
    public var supportedRange: ONVIFCameraSettingsCoordinatesRange

    public init(defaultSpeedValue: Decimal? = nil, supportedRange: ONVIFCameraSettingsCoordinatesRange) {
        self.defaultSpeedValue = defaultSpeedValue
        self.supportedRange = supportedRange
    }

    public enum CodingKeys: String, CodingKey { 
        case defaultSpeedValue = "default_speed_value"
        case supportedRange = "supported_range"
    }

}
